﻿<div class="modal fade" id="create-workspace-modal" tabindex="-1" aria-modal="true" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form id="create-workspace-form" asp-controller="workspace" asp-action="create" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onWorkspaceCreated">
                @Html.AntiForgeryToken()
                <div class="modal-header d-flex align-items-center">
                    <h4 class="modal-title">
                        Create New Workspace
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="recipient-name" class="control-label required mb-1">Workspace Name</label>
                        <input type="text" class="form-control custom-validation" id="name" name="name" data-required="true" maxlength="100">
                    </div>
                    <div class="mb-3">
                        <label for="message-text" class="control-label required mb-1">Description</label>
                        <textarea class="form-control custom-validation" rows="6" id="description" name="description" data-required="true"></textarea>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn bg-danger-subtle text-danger font-medium" data-bs-dismiss="modal">
                        Cancel
                    </button>
                    <button type="button" class="btn btn-success" onclick="validateAndSubmit('#create-workspace-form')">
                        Create
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>